;Programa blink
;SETA pruebas xsetaseta@gmail.com

.include "m88def.inc"

.dseg

.cseg
.def temp=r16
.def temp2=r17
.def tiempo=r18
.def tiempo1=r19
.def tiempo2=r20
.def menu=r21
.def cambio=r22
.def argu=r24	;argumento de 1byte
.def argu2=r25

.org 0x0000
		rjmp reset
		rjmp interup0

interup0:		
		reti
		
reset:
		ldi R25,LOW(ramend) ;Coloca la pila al final de la memoria RAM
		out SPL,R25
		ldi R25,HIGH(ramend)
		out SPH,R25
	
        ser temp		;temp=255
        out DDRB,temp ;Puerto D como salida
		ser temp		;temp=255
        out DDRC,temp ;Puerto C como salida
		ldi temp,0xb00000001; 
        out DDRD,temp ;//puerto D 0000-1111 0=entrada 1=salida
		
inicio:  				
		ldi argu,100	;100
        rcall Delay10mS
		sbi PORTD,0	
		
		ldi argu,100	;100
        rcall Delay10mS
		cbi PORTD,0	
		
        rjmp inicio

;_________________________________________
Delay10mS:		
		mov tiempo,argu
zDela1:	ldi tiempo1,227 ;4 mhz->9.99mS->222   20mhz->10.03mS->227
zDela2:	ldi tiempo2,220	;4 mhz->9.99mS->44   20mhz->10.03mS->220
zDela3:	nop
		dec tiempo2
		brne zDela3
		nop
		dec tiempo1
		brne zDela2
		dec tiempo
		brne zDela1
		ret

Delay1mS:		
		mov tiempo,argu
Dela1:	ldi tiempo1,111
Dela2:	ldi tiempo2,44	;4 mhz->999uS->8   20mhz->999.5uS->44
Dela3:	nop
		dec tiempo2
		brne Dela3
		nop
		dec tiempo1
		brne Dela2
		dec tiempo
		brne Dela1
		ret

Delay100uS:		
		mov tiempo,argu
yDela1:	ldi tiempo1,11
yDela2:	ldi tiempo2,44	;4mhz->101.5uS->8  20mhz->99.5uS->44
yDela3:	nop
		dec tiempo2
		brne yDela3
		nop
		dec tiempo1
		brne yDela2
		dec tiempo
		brne yDela1
		ret
